# Add Company Information - AddApplicantCompany

## Overview

Add Company Information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddApplicantCompany`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **CompanyName** | string | Name |**Yes**|
| **CompanyCountry** | string | Country Code |**Yes**|
| **CompanyRegion** | string | Province |No|
| **CompanyCity** | string | City |No|
| **CompanyAddress** | string | Detailed Address |No|
| **CompanyPhone** | string | Contact Number |No|
| **CompanyPostalCode** | string | Postal Code |No|
| **CompanyDivision** | string | Department |No|
| **CompanyType** | string | Institution Type |No|
| **CompanyCodeType** | string | Organization Code Type |No|
| **CompanyCode** | string | Organization Code |No|
| **CompanyID** | int | Company ID |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.netlake.cn/?Action=AddApplicantCompany
&ProjectId=MQofTlvs
&Region=XbPFWarL
&Name=MYZwEYMw
&Country=fwvBNYIK
&City=wYNfVlJq
&Address=QVuXfszC
&Phone=BCqDzeTk
&PostalCode=RwmAdwCQ
&Division=aVnGkyMo
&CompanyType=ZeWdsxav
&CompanyCodeType=AgKAUBdF
&CompanyCode=tNnhOjRi
&CompanyType=TxPJKAhW
&CompanyCodeType=RSsGBOvx
&CompanyCode=rheCvKzn
&CompanyID=mKkjmfxo
```

### Response Example
    
```json
{
  "Action": "AddApplicantCompanyResponse",
  "RetCode": 0
}
```





